id: 7
createUser: admin
createTime: 2025-10-23T11:40:48.063927076Z
name: asdasdasd.2.windup
kind: analyzer
addon: analyzer
extensions:
    - java
state: Succeeded
priority: 10
data:
    mode:
        artifact: ""
        binary: false
        withDeps: true
    rules:
        labels:
            excluded: []
            included: []
        path: /rules
    scope:
        packages:
            excluded: []
            included: []
        withKnownLibs: true
    sources: []
    tagger:
        enabled: true
    targets: []
    verbosity: 1
application:
    id: 2
    name: asdasdasd
bucket:
    id: 11
    name: ""
pod: openshift-mta/task-7-dd7bl
started: 2025-10-23T11:40:48.630242726Z
terminated: 2025-10-23T11:43:00.352907649Z
events:
    - kind: AddonSelected
      count: 1
      last: 2025-10-23T11:40:48.586224018Z
    - kind: ExtensionSelected
      count: 1
      reason: java
      last: 2025-10-23T11:40:48.604534617Z
    - kind: PodCreated
      count: 1
      reason: openshift-mta/task-7-dd7bl
      last: 2025-10-23T11:40:48.727865712Z
    - kind: PodPending
      count: 6
      reason: ContainerCreating
      last: 2025-10-23T11:40:51.941202324Z
    - kind: PodRunning
      count: 119
      last: 2025-10-23T11:43:00.352906997Z
    - kind: PodSucceeded
      count: 1
      last: 2025-10-23T11:43:00.352907729Z
    - kind: ContainerKilled
      count: 1
      reason: 'container: ''java'' had not terminated.'
      last: 2025-10-23T11:43:00.785757388Z
activity:
    - 'OptDir:    /addon/opt'
    - 'SharedDir: /shared'
    - 'CacheDir:  /cache'
    - 'SourceDir: /shared/source'
    - 'RuleDir:   /addon/rules'
    - 'BinDir:    /shared/bin'
    - 'M2Dir:     /cache/m2'
    - Fetching application.
    - '[SSH] Home (directory): /addon'
    - '[CMD] Running: /usr/bin/ssh-agent -a /tmp/agent.1'
    - '> SSH_AUTH_SOCK=/tmp/agent.1; export SSH_AUTH_SOCK;'
    - '> SSH_AGENT_PID=13; export SSH_AGENT_PID;'
    - '> echo Agent pid 13;'
    - '> '
    - '[CMD] /usr/bin/ssh-agent succeeded.'
    - '[SSH] Agent started.'
    - '[GIT] Home (directory): /addon/.git/5291a3c6'
    - '[GIT] Cloning: https://github.com/jmle/tackle-testapp-gradle'
    - '[FILE] Created /addon/.git/5291a3c6/.gitconfig.'
    - '[CMD] Running: /usr/bin/git clone --depth 1 https://github.com/jmle/tackle-testapp-gradle /shared/source/tackle-testapp-gradle'
    - '> 11:40:51.119943 git.c:479               trace: built-in: git clone --depth 1 https://github.com/jmle/tackle-testapp-gradle /shared/source/tackle-testapp-gradle'
    - '> Cloning into ''/shared/source/tackle-testapp-gradle''...'
    - '> 11:40:51.123341 run-command.c:666       trace: run_command: git remote-https origin https://github.com/jmle/tackle-testapp-gradle'
    - '> 11:40:51.123396 run-command.c:758       trace: start_command: /usr/libexec/git-core/git remote-https origin https://github.com/jmle/tackle-testapp-gradle'
    - '> 11:40:51.125520 git.c:781               trace: exec: git-remote-https origin https://github.com/jmle/tackle-testapp-gradle'
    - '> 11:40:51.125540 run-command.c:666       trace: run_command: git-remote-https origin https://github.com/jmle/tackle-testapp-gradle'
    - '> 11:40:51.125568 run-command.c:758       trace: start_command: /usr/libexec/git-core/git-remote-https origin https://github.com/jmle/tackle-testapp-gradle'
    - '> 11:40:51.437714 run-command.c:666       trace: run_command: git --shallow-file /shared/source/tackle-testapp-gradle/.git/shallow.lock index-pack --stdin --fix-thin ''--keep=fetch-pack 15 on task-7-dd7bl'''
    - '> 11:40:51.437768 run-command.c:758       trace: start_command: /usr/libexec/git-core/git --shallow-file /shared/source/tackle-testapp-gradle/.git/shallow.lock index-pack --stdin --fix-thin ''--keep=fetch-pack 15 on task-7-dd7bl'''
    - '> 11:40:51.440409 trace.c:316             setup: git_dir: /shared/source/tackle-testapp-gradle/.git'
    - '> 11:40:51.440470 trace.c:317             setup: git_common_dir: /shared/source/tackle-testapp-gradle/.git'
    - '> 11:40:51.440491 trace.c:318             setup: worktree: /addon'
    - '> 11:40:51.440506 trace.c:319             setup: cwd: /addon'
    - '> 11:40:51.440521 trace.c:320             setup: prefix: (null)'
    - '> 11:40:51.440535 git.c:479               trace: built-in: git index-pack --stdin --fix-thin ''--keep=fetch-pack 15 on task-7-dd7bl'''
    - '> 11:40:51.641200 run-command.c:666       trace: run_command: git rev-list --objects --stdin --not --all --quiet --alternate-refs'
    - '> 11:40:51.641264 run-command.c:758       trace: start_command: /usr/libexec/git-core/git rev-list --objects --stdin --not --all --quiet --alternate-refs'
    - '> 11:40:51.643898 trace.c:316             setup: git_dir: /shared/source/tackle-testapp-gradle/.git'
    - '> 11:40:51.643919 trace.c:317             setup: git_common_dir: /shared/source/tackle-testapp-gradle/.git'
    - '> 11:40:51.643921 trace.c:318             setup: worktree: /addon'
    - '> 11:40:51.643923 trace.c:319             setup: cwd: /addon'
    - '> 11:40:51.643924 trace.c:320             setup: prefix: (null)'
    - '> 11:40:51.643926 git.c:479               trace: built-in: git rev-list --objects --stdin --not --all --quiet --alternate-refs'
    - '> 11:40:51.647634 chdir-notify.c:68       setup: chdir from ''/addon'' to ''/shared/source/tackle-testapp-gradle'''
    - '> 11:40:51.647658 chdir-notify.c:43       setup: reparent packed-refs to ''/shared/source/tackle-testapp-gradle/.git/packed-refs'''
    - '> 11:40:51.647661 chdir-notify.c:43       setup: reparent files-backend $GIT_DIR to ''/shared/source/tackle-testapp-gradle/.git'''
    - '> 11:40:51.647663 chdir-notify.c:43       setup: reparent files-backend $GIT_COMMONDIR to ''/shared/source/tackle-testapp-gradle/.git'''
    - '> '
    - '[CMD] /usr/bin/git succeeded.'
    - '[RULESET] fetching: /rules'
    - '[RULE] /addon/rules/files/ruleset.yaml not-found;created.'
    - '> - name: java'
    - '>   address: localhost:8000'
    - '>   initConfig:'
    - '>   - location: /shared/source/tackle-testapp-gradle'
    - '>     analysisMode: full'
    - '>     providerSpecificConfig:'
    - '>       bundles: /jdtls/java-analyzer-bundle/java-analyzer-bundle.core/target/java-analyzer-bundle.core.jar'
    - '>       depOpenSourceLabelsFile: /usr/local/etc/maven.default.index'
    - '>       disableMavenSearch: false'
    - '>       lspServerPath: /jdtls/bin/jdtls'
    - '>       mavenCacheDir: /cache/m2'
    - '>       mavenInsecure: false'
    - '>       mavenSettingsFile: null'
    - '>   contextlines: 0'
    - '> '
    - '[CMD] Running: /usr/local/bin/konveyor-analyzer --provider-settings /addon/opt/settings.yaml --output-file /addon/insights.yaml --dep-output-file /addon/deps.yaml --rules /addon/rules/files'
    - '> time="2025-10-23T11:40:52Z" level=unknown msg="rules parsed" logger=parser parsed=1'
    - '> time="2025-10-23T11:41:13Z" level=info msg="inject span info" carrier="{}"'
    - '> time="2025-10-23T11:41:13Z" level=unknown msg="All rules added buffer, waiting for engine to complete" size=1'
    - '> time="2025-10-23T11:41:13Z" level=unknown msg="taking rule" rule=serializable-test-rule-jmh-gradle ruleset=files worker=3'
    - '> time="2025-10-23T11:41:13Z" level=info msg="Adding Carrier span info to context" worker=3'
    - '> time="2025-10-23T11:41:13Z" level=info msg="processing rule" logger=process-rule ruleID=serializable-test-rule-jmh-gradle worker=3'
    - '> time="2025-10-23T11:42:46Z" level=info msg="provider does not have dependency capability" provider=builtin'
    - '> time="2025-10-23T11:42:57Z" level=unknown msg="no incidents found" ruleID=serializable-test-rule-jmh-gradle worker=3'
    - '> time="2025-10-23T11:42:57Z" level=unknown msg="finished rule" error=null found=0 rule=serializable-test-rule-jmh-gradle worker=3'
    - '> time="2025-10-23T11:42:57Z" level=info msg="rule returned" ruleID=serializable-test-rule-jmh-gradle'
    - '> time="2025-10-23T11:42:57Z" level=unknown msg="rule was evaluated, and we did not find a violation" ruleID=serializable-test-rule-jmh-gradle'
    - '> time="2025-10-23T11:42:57Z" level=unknown msg="rule response received" failed=0 matched=0 total=1 unmatched=1'
    - '> time="2025-10-23T11:42:57Z" level=trace msg="done processing all the rules"'
    - '> time="2025-10-23T11:42:57Z" level=unknown msg="rule engine stopping"'
    - '> time="2025-10-23T11:42:57Z" level=unknown msg="stopping rule worker" worker=0'
    - '> time="2025-10-23T11:42:57Z" level=unknown msg="stopping rule worker" worker=3'
    - '> time="2025-10-23T11:42:57Z" level=unknown msg="stopping rule worker" worker=6'
    - '> time="2025-10-23T11:42:57Z" level=unknown msg="stopping rule worker" worker=9'
    - '> time="2025-10-23T11:42:57Z" level=unknown msg="stopping rule worker" worker=5'
    - '> time="2025-10-23T11:42:57Z" level=unknown msg="stopping rule worker" worker=8'
    - '> time="2025-10-23T11:42:57Z" level=unknown msg="stopping rule worker" worker=4'
    - '> time="2025-10-23T11:42:57Z" level=unknown msg="stopping rule worker" worker=7'
    - '> time="2025-10-23T11:42:57Z" level=unknown msg="stopping rule worker" worker=2'
    - '> time="2025-10-23T11:42:57Z" level=unknown msg="stopping rule worker" worker=1'
    - '> '
    - '[CMD] /usr/local/bin/konveyor-analyzer succeeded.'
    - '> - fileURI: file:///shared/source/tackle-testapp-gradle/build.gradle'
    - '>   provider: java'
    - '>   dependencies:'
    - '>   - name: ch.qos.logback.logback-classic'
    - '>     version: 1.1.7 FAILED'
    - '>   - name: com.fasterxml.jackson:jackson-bom.2.12.3'
    - '>     version: 2.12.3 FAILED'
    - '>   - name: com.h2database.h2'
    - '>     version: 2.1.214 FAILED'
    - '>   - name: com.oracle.database.jdbc.ojdbc11'
    - '>     version: 21.1.0.0 FAILED'
    - '>   - name: io.konveyor.demo.configuration-utils'
    - '>     version: 1.0.0 FAILED'
    - '>   - name: jackson-core FAILED'
    - '>   - name: jackson-databind FAILED'
    - '>   - name: org.apache.commons.commons-math3'
    - '>     version: 3.2 FAILED'
    - '>   - name: org.apache.tomcat.tomcat-jdbc'
    - '>     version: 9.0.46 FAILED'
    - '>   - name: org.apache.tomcat.tomcat-servlet-api'
    - '>     version: 9.0.46 FAILED'
    - '>   - name: org.hibernate.hibernate-entitymanager'
    - '>     version: 5.4.32.Final FAILED'
    - '>   - name: org.hibernate.validator.hibernate-validator'
    - '>     version: 6.2.0.Final FAILED'
    - '>   - name: org.postgresql.postgresql'
    - '>     version: 42.2.20 FAILED'
    - '>   - name: org.springframework.boot.spring-boot-starter-actuator'
    - '>     version: 2.5.0 FAILED'
    - '>   - name: org.springframework.data:spring-data-bom.2021.0.1'
    - '>     version: 2021.0.1 FAILED'
    - '>   - name: org.springframework.spring-jdbc'
    - '>     version: 5.3.7 FAILED'
    - '>   - name: org.springframework.spring-web'
    - '>     version: 5.3.7 FAILED'
    - '>   - name: org.springframework.spring-webmvc'
    - '>     version: 5.3.7 FAILED'
    - '>   - name: spring-data-jpa FAILED'
    - '> '
    - '> - name: files'
    - '>   unmatched:'
    - '>   - serializable-test-rule-jmh-gradle'
    - '> '
    - '[TAG] Tagging Application 2.'
    - '[CMD] Running: /usr/bin/git rev-parse HEAD'
    - '> 11:42:58.856754 git.c:479               trace: built-in: git rev-parse HEAD'
    - '> 75245ff81ecd79e46e7d03e259a393cb86710e4b'
    - '> '
    - '[CMD] /usr/bin/git succeeded.'
    - 'Analysis 3 reported. duration: 31.087747ms'
    - Facts updated.
    - Done.
attached:
    - id: 411
      name: git.output
      activity: 23
    - id: 409
      name: insights.yaml
      activity: 21
    - id: 410
      name: deps.yaml
      activity: 21
    - id: 405
      name: konveyor-analyzer.output
      activity: 20
    - id: 404
      name: settings.yaml
      activity: 19
    - id: 403
      name: git.output
      activity: 16
    - id: 402
      name: ssh-agent.output
      activity: 10
    - id: 406
      name: addon.log
    - id: 407
      name: java.log
    - id: 413
      name: pod.yaml
